{
  "METADATA_VERSION": 20002,
  "allow_disabled_algorithms": false,
  "Duolingo v6.25.3 (Premium).apk": {
    "hash": "8d8457a0790ccdc92db03d4fe40cb5ca2da345b0c511d6e37e1f95af290e472e",
    "hashType": "sha256",
    "uses-permission": [
      [
        "android.permission.INTERNET",
        null
      ],
      [
        "android.permission.ACCESS_NETWORK_STATE",
        null
      ],
      [
        "android.permission.FOREGROUND_SERVICE",
        null
      ],
      [
        "android.permission.VIBRATE",
        null
      ],
      [
        "android.permission.RECEIVE_BOOT_COMPLETED",
        null
      ],
      [
        "android.permission.GET_ACCOUNTS",
        null
      ],
      [
        "android.permission.RECORD_AUDIO",
        null
      ],
      [
        "android.permission.POST_NOTIFICATIONS",
        null
      ],
      [
        "android.permission.READ_EXTERNAL_STORAGE",
        32
      ],
      [
        "android.permission.READ_CONTACTS",
        null
      ],
      [
        "com.google.android.c2dm.permission.RECEIVE",
        null
      ],
      [
        "android.permission.MODIFY_AUDIO_SETTINGS",
        null
      ],
      [
        "com.google.android.providers.gsf.permission.READ_GSERVICES",
        null
      ],
      [
        "android.permission.WAKE_LOCK",
        null
      ],
      [
        "com.duolingo.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION",
        null
      ],
      [
        "com.sec.android.provider.badge.permission.READ",
        null
      ],
      [
        "com.sec.android.provider.badge.permission.WRITE",
        null
      ],
      [
        "com.htc.launcher.permission.READ_SETTINGS",
        null
      ],
      [
        "com.htc.launcher.permission.UPDATE_SHORTCUT",
        null
      ],
      [
        "com.sonyericsson.home.permission.BROADCAST_BADGE",
        null
      ],
      [
        "com.sonymobile.home.permission.PROVIDER_INSERT_BADGE",
        null
      ],
      [
        "com.anddoes.launcher.permission.UPDATE_COUNT",
        null
      ],
      [
        "com.majeur.launcher.permission.UPDATE_BADGE",
        null
      ],
      [
        "com.huawei.android.launcher.permission.CHANGE_BADGE",
        null
      ],
      [
        "com.huawei.android.launcher.permission.READ_SETTINGS",
        null
      ],
      [
        "com.huawei.android.launcher.permission.WRITE_SETTINGS",
        null
      ],
      [
        "android.permission.READ_APP_BADGE",
        null
      ],
      [
        "com.oppo.launcher.permission.READ_SETTINGS",
        null
      ],
      [
        "com.oppo.launcher.permission.WRITE_SETTINGS",
        null
      ],
      [
        "me.everything.badger.permission.BADGE_COUNT_READ",
        null
      ],
      [
        "me.everything.badger.permission.BADGE_COUNT_WRITE",
        null
      ]
    ],
    "uses-permission-sdk-23": [],
    "features": [
      "android.hardware.screen.portrait",
      "android.hardware.screen.landscape"
    ],
    "icons_src": {},
    "icons": {},
    "antiFeatures": [],
    "packageName": "com.duolingo",
    "versionCode": 2074,
    "name": "Duolingo",
    "versionName": "6.25.3",
    "minSdkVersion": 29,
    "targetSdkVersion": 34,
    "nativecode": [
      "arm64-v8a",
      "armeabi-v7a",
      "x86",
      "x86_64"
    ],
    "sig": "ff9398c3885347ddf2e631518d00e072",
    "signer": "3b61c2a82aff9f7652ffe0b04be3c8f248b5e1aa7063f1a3846f0cf5c778628a",
    "size": 86455373,
    "apkName": "Duolingo v6.25.3 (Premium).apk",
    "added": 1744654481.162982
  }
}